LmLinearExponentialVolatilityModel Class Reference

linear exponential volatility model More...

`#include <ql/legacy/libormarketmodels/lmlinexpvolmodel.hpp>`

Inheritance diagram for LmLinearExponentialVolatilityModel:
[legend]

## Public Member Functions

| LmLinearExponentialVolatilityModel (const std::vector< Time > &fixingTimes, Real a, Real b, Real c, Real d)
Disposable< Array > | volatility (Time t, const Array &x=Null< Array >()) const
Volatility | volatility (Size i, Time t, const Array &x=Null< Array >()) const
Real | integratedVariance (Size i, Size j, Time u, const Array &x=Null< Array >()) const
Public Member Functions inherited from LmVolatilityModel
| LmVolatilityModel (Size size, Size nArguments)
Size | size () const
std::vector< Parameter > & | params ()
void | setParams (const std::vector< Parameter > &arguments)

## Additional Inherited Members

Protected Attributes inherited from LmVolatilityModel
const Size | size_
std::vector< Parameter > | arguments_

## Detailed Description

linear exponential volatility model

This class describes a linear-exponential volatility model

\[ \sigma_i(t)=(a*(T_{i}-t)+d)*e^{-b(T_{i}-t)}+c \]

References:

Damiano Brigo, Fabio Mercurio, Massimo Morini, 2003, Different Covariance Parameterizations of Libor Market Model and Joint Caps/Swaptions Calibration, (http://www.business.uts.edu.au/qfrc/conferences/qmf2001/Brigo_D.pdf)